=== debian/control ===
Source: ros-lunar-hector-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Johannes Meyer <johannes@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-gazebo-dev, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://ros.org/wiki/hector_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-lunar-hector-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-lunar-dynamic-reconfigure, ros-lunar-gazebo-ros, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: hector_gazebo_plugins provides gazebo plugins from Team Hector.
 Currently it contains a 6wd differential drive plugin, an IMU sensor plugin, an earth magnetic field sensor plugin, a GPS sensor plugin and a sonar ranger plugin.
